=== plugins/Makefile ===

all:
	@cd wasp; make all

clean:
	@cd wasp; make clean	

install:
	@cd wasp; make install

uninstall:
	@cd wasp; make uninstall
