## hydrogen 0.9.4

=== debian/changelog ===
hydrogen (0.9.4-1) unstable; urgency=low

  * New upstream release. Closes: bug#551839, thanks to Larry Holish.
    + Apparently solves startup crash on AMD64. Closes: bug#402635,
      thanks to Simon Guest.
    + Uses splash screen (not intro dialog too wide for some screens).
      Closes: bug#501044, thanks to Klaus Ade Johnstad.
  * Adopt package: Set Debian Multimedia team as maintainer, and myself
    as uploader.
  * Package now git-maintained: Add Vcs-* stanzas to control file.
  * Add README.source, documenting CDBS, git-buildpackage and
    DEB_MAINTAINER_MODE.
  * Add and make use of local CDBS snippets:
    + upstream-tarball.mk
    + buildinfo.mk.
    + copyright-check.mk.
    + package-relations.mk.
    + scons.mk (replacing autotools.mk).
  * Repackage using source format '3.0 "quilt"'.
  * Drop some patches:
    + 00: Upstream manuals now include proper charset declaration.
    + 01: Promoting Debian maintainance unnecessary, and might be
      inaccurate (patch have been wrong for several years).
    + 04: Improved FLAC support adopted upstream now.
    + 05: No longer applying (apparently fixed upstream).
    + 06: No longer applying.
  * Refresh remaining patches and uniform to always strip a single
    prefix (i.e. 'patch -p 1').
  * Unfuzz and update file locations of patches 02 and 08.
  * Disable patches 02, 03, 07 and 08 (all compilation fixes), possibly
    no longer needed.
  * Add patches 09 and 10 adjusting PortAudio and PortMIDI support to v2
    API.
  * Build-depend on libtarchive-dev, port19audio-dev, libportmidi-dev,
    liblash-dev and libqt4-dev (and not libqt3-mt-dev).
  * Build-depend on librsvg2-bin and Build-depend on netpbm, and
    generate (not ship premade file) menu icon based on upstream
    graphics: SVG → PNG → XPM.
  * Drop Debian-local XDG desktop file: Upstream ships one now.
  * Install symlinks in examples dir to demo_songs.
  * Install PHP serverTools files as examples.
  * Drop manpage symlink for hydrogenPlayer (not currently built).
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev135 format.
  * Add copyright header to debian/rules.
  * Bump debhelper compat level and build-dependency to 6.
  * Maintain build-dependencies with CDBS in debian/rules.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Feb 2010 06:26:18 +0100

hydrogen (0.9.3-7) unstable; urgency=low

  * QA upload.
  * Fix FTBFS on GNU/kFreeBSD 
    Patch by Cyril Brulebois <kibi@debian.org>
    Closes: 550303

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Oct 2009 13:21:39 +1100

hydrogen (0.9.3-6) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Acknowledge NMU, thanks Marc!
  * debian/old-patches/*:
    - Removed, fixed upstream long ago.
  * debian/patches/06_drumkit_load.patch:
    - Fix crash with missing drumkit samples (Closes: #448332).
  * debian/patches/07_gcc44.patch:
    - Fix build failure with gcc-4.4 (Closes: #505029).
  * debian/patches/*:
    - Add description to patches.
  * debian/changelog:
    - Adjust old entry to fix lintian's syntax-error-in-debian-changelog.
  * debian/compat:
    - Bump compat level to 5.
  * debian/control:
    - Bump debhelper minimum version to be at least >= 5.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends.
    - Remove useless Conflicts/Replaces fields.
    - Fix some inaccuracies in package description.
  * debian/copyright:
    - Adjust download location.
    - Add copyright notice.
    - Fix FSF address.
    - Point to versioned common-license file.
  * debian/dirs:
    - Removed, useless.
  * debian/hydrogen.desktop:
    - Adhere to Freedesktop.org specification.
  * debian/menu:
    - Adhere to new Debian Menu sub-policy.
  * debian/watch:
    - Add watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Sep 2009 23:20:30 +0200

hydrogen (0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * 03_gcc43.patch: Extended with patch from KiBi (Closes: #456078)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:43:28 +0100

hydrogen (0.9.3-5) unstable; urgency=low

  * Recompiling. Seems that libflac++6 version 1.2 is not binary
    compatible to 1.1.4 (closes: #447292)(closes: #445237)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 22 Oct 2007 18:05:33 +0200

hydrogen (0.9.3-4) unstable; urgency=low

  * incorporated patch for building with flac (thanks guys !) library (closes: #426650,#427745)
  * Applied patch for gcc 4.3 (closes: #417229)
  * Applied patch for default song behaviour (closes: #428052)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 18 Jun 2007 18:50:31 +0200

hydrogen (0.9.3-3) unstable; urgency=low

  * Changed build-dev liblrdf-dev --> liblrdf0-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 24 Jan 2007 08:50:39 +0100

hydrogen (0.9.3-2) unstable; urgency=low

  * Added desktop file (closes: 351884)(closes: #376899)
  * Added conditional build-dep for kfreebsd-amd64 hurd-i386 (closes: #361491)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 Jul 2006 14:49:45 +0200

hydrogen (0.9.3-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/02_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #357084).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:28:18 +0200

hydrogen (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Applied documentation regeneration patch, old versions had problems
    with accents (closes: #317880)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  2 Mar 2006 09:55:27 +0100

hydrogen (0.9.2final-3) unstable; urgency=low

  * Removed build dependency on xlibs-dev (closes: #346718)
  * Conditional build depends on libasound2-dev for FreeBSD (closes: #336851)
  * Finally added menu icon (closes: #299410)
  * Fixed manpage installation (closes: #328963)


