=== debian/control ===
Source: hydrogen
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, devscripts (>= 2.10.7), scons, debhelper (>= 6), dh-buildinfo, docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev, librsvg2-bin, netpbm
Standards-Version: 3.8.4
Homepage: http://www.hydrogen-music.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary

Package: hydrogen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple drum machine/step sequencer
 Hydrogen is a sample based drum machine with:
    * Graphical user interface based on QT 3,
    * Sample based audio engine,
    * Oss Audio driver,
    * Jack Audio driver,
    * Export to disk,
    * Alsa Midi input,
    * Ability to import/export xml-based song file,
    * 64 ticks per pattern,
    * 32 voices with volume, mute, solo, pan capabilities,
    * Import of samples in wave, au, aiff format.
    * Humanize and Swing functions
