=== debian/watch ===
version=3
http://sf.net/hydrogen/hydrogen-([0-9\.]+)\.tar\.gz
