## hydrogen 0.9.4.1

=== debian/changelog ===
hydrogen (0.9.4.1-1) unstable; urgency=low

  * New upstream bugfix release. Thanks to Sebastian Moors.
  * Rewrite package descriptions based on upstream README. Thanks again
    to Sebastian Moors.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 21:23:01 +0200

hydrogen (0.9.4-4) unstable; urgency=low

  * Disable patch 1001 (Use system-installed TinyXml), apparently
    causing Hydrogen to segfault.
    Closes: bug#575310, thanks to Nico Golde.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Mar 2010 01:05:38 +0100

hydrogen (0.9.4-3) unstable; urgency=low

  * Add TODO on generating manpage using help2man.
  * Drop all local copyright-check.mk.
  * Tighten build-dependency on cdbs to versions providing
    functionalitites previously included locally.
  * Add patch 1001 to use system-installed TinyXml. Build-depend on
    libtinyxml-dev.
  * Refresh patches with shortening quilt options -pab --no-timestamps
    --no-index.
  * Renumber patch 0001 (relax SCons linux2 resolving) to 1002, to
    actually follow our local micro-naming-policy.
  * Add new patch 0001 cherry-picked from upstream SVN to silence
    harmless Scons warning.
  * Install manpage generated using help2man (and ship with source - for
    some reason it fails to work as part of normal builds). Update TODO.
  * Skip superfluous copyright-check of some binary files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Mar 2010 12:34:42 +0100

hydrogen (0.9.4-2) unstable; urgency=low

  * Update local CDBS snippets:
    + Improve package-relationships.mk to strip unversioned build-
      dependency following same versioned.
    + Refer to FSF website (not postal address) in license headers.
    + Bump copyright years.
    + Handle cdbs 0.4.67~ in package-relations.mk.
    + Make copyright-check.mk strict when in DEB_MAINTAINER_MODE.
    + Fix force use LC_ALL=C in copyright-check.mk.
  * Add patch 0001 to relax SCons linux2 resolving. Closes: bug#570557,
    thanks to dann frazier.
  * Add README to patch dir in source, documenting local patch numbering
    scheme.
  * Refer to FSF website (not postal address) in rules file and
    copyright file.
  * Drop setup DEB_MAINTAINER_MODE in rules file (done in snippets now).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 16:51:50 +0100
