=== debian/rules ===
--- 
+++ 
@@ -14,28 +14,23 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307 USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-ifneq (,$(DEB_MAINTAINER_MODE))
-  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
-  DEB_COPYRIGHT_CHECK_STRICT = yes
-  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
-endif
-include debian/cdbs/1/rules/upstream-tarball.mk
-include debian/cdbs/1/rules/copyright-check.mk
-include debian/cdbs/1/class/scons.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/scons.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/1/rules/buildinfo.mk
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/hydrogen
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|\./debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=1 prefix=/usr
 DEB_SCONS_OPTIONS += optflags="$(CXXFLAGS)"
 
 DEB_SCONS_INSTALL_OPTIONS = DESTDIR=$(DEB_DESTDIR)
 
+DEB_INSTALL_MANPAGES_hydrogen = debian/hydrogen.1
 DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools
 
 imgstub = data/img/gray/h2-icon
@@ -48,17 +43,24 @@
 clean::
 	rm -f $(imgstub).xpm
 
+# generate manpage based on --help of script itself
+# TODO: make below rule work as part of main build
+#common-post-build-arch:: debian/hydrogen.1
+debian/hydrogen.1: hydrogen
+	help2man --name="simple drum machine/step sequencer" --no-info --output=$@ $(DEB_SRCDIR)/$<
+#clean::
+#	rm -f debian/hydrogen.1
+
 clean::
 	rm -f qt4.pyc version.cpp config.h scache.conf
 	rm -rf scons_cache
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev
+CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libtinyxml-dev
 CDBS_BUILD_DEPENDS += , libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev
 
 # Needed for our packaging
+# TODO: build-depend on help2man when solved using it with normal builds
+#CDBS_BUILD_DEPENDS += , librsvg2-bin, netpbm, help2man
 CDBS_BUILD_DEPENDS += , librsvg2-bin, netpbm
-
-# Resolve, cleanup and apply CDBS-declared dependencies
-include debian/cdbs/1/rules/package-relations.mk
