## hydrogen 0.9.4.2

=== debian/changelog ===
hydrogen (0.9.4.2-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * debian/copyright:
    - refer to unversioned GNU licenses when relevant, and mention "Debian
      GNU systems" (not the too narrow "Debian GNU/Linux systems").
    - refer to less vaguely to unversioned GNU licenses.

  [ Adrian Knoth ]
  * Recommend hydrogen-drumkits

  [ Alessio Treglia ]
  * Add .gitignore file.
  * New upstream release.
  * Update Standards-Version to 3.9.1.
  * Drop 10_portmidi_v2.patch, applied upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Fri, 22 Oct 2010 20:06:10 +0200
