=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  liblash-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.hydrogen-music.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
@@ -34,6 +34,7 @@
 Package: hydrogen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: hydrogen-drumkits
 Description: advanced drum machine/step sequencer
  Hydrogen is an advanced drum machine.  It's main goal is to bring
  professional yet simple and intuitive pattern-based drum programming.
