## hydrogen 0.9.5

=== debian/changelog ===
hydrogen (0.9.5-4build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 12:58:14 +0100

hydrogen (0.9.5-4) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * hydrogen.desktop's Name entry should not repeat GenericName description
    (Closes: #640983)
  * Prevent FTBFS with -Werror=format-security enabled (Closes: #643406).

  [ Andres Mejia ]
  * Prevent build failure from double installation of images.

 -- Andres Mejia <amejia@debian.org>  Sun, 25 Dec 2011 12:14:18 -0500

hydrogen (0.9.5-3) unstable; urgency=low

  * Team upload.
  * Add patch to fix linking order. This avoids build failure
    with --as-needed (Closes: #632229, LP: #803182).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Jul 2011 10:03:10 +0200

hydrogen (0.9.5-2) unstable; urgency=low

  * Team upload.
  * Drop LASH support.
  * Bump Standards.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 19:27:17 +0200

hydrogen (0.9.5-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#618694. Thanks to rosea grammostolla.
  * Adjust copyright-check suppression hint to work with recent CDBS
    (strip leading ./ ).
  * Update build-dependencies for new release:
    + Build-depend on poxml, xmlto and libxml2-utils.
    + Tighten build-dependency on libsndfile1-dev.
    + Stop build-depending on libtinyxml-dev, libflac++-dev or
      libflac-dev.
  * Recommend rubberband-cli.
  * Set QTDIR during build: according to upstream INSTALL.txt this
    avoids potential clash with Qt3.
  * Update patches:
    + Drop patch 0001: Applied upstream.
    + Drop already commented out patches 02 03 07 08 1001: Obsolete.
    + Unfuzz patch 1002.
    + Add patch 1001 to set patch to rubberband CLI.
    + Add patch 1003 to add linkage required with GCC 4.5.
  * Extend copyright years in header of rules file.
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.
    + Extend copyright years.
    + Drop Files and License sections of no longer included files.
  * Put aside upstream-generated docs during build and regenerate
    ourselves.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Mar 2011 01:19:09 +0100

hydrogen (0.9.4.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Upload to unstable.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Sat, 12 Feb 2011 13:59:56 +0100
