=== debian/control ===
--- 
+++ 
@@ -4,29 +4,28 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  cdbs (>= 0.4.73~),
  scons,
  debhelper (>= 6),
- docbook-utils,
+ dh-buildinfo,
  libqt4-dev,
  libz-dev,
  pkg-config,
  libarchive-dev,
- libtinyxml-dev,
+ docbook-utils,
+ poxml,
+ xmlto,
+ libxml2-utils,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libaudiofile-dev,
  libjack-dev,
  liblrdf-dev,
- libsndfile1-dev,
- libflac++-dev,
- libflac-dev (>= 1.1.1-3),
+ libsndfile1-dev (>= 1.0.18),
  portaudio19-dev,
  libportmidi-dev,
- liblash-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.hydrogen-music.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
@@ -34,7 +33,7 @@
 Package: hydrogen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: hydrogen-drumkits
+Recommends: hydrogen-drumkits, rubberband-cli
 Description: advanced drum machine/step sequencer
  Hydrogen is an advanced drum machine.  It's main goal is to bring
  professional yet simple and intuitive pattern-based drum programming.
