=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Hydrogen
 #
 # This program is free software; you can redistribute it and/or
@@ -23,15 +23,40 @@
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/hydrogen
 
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|\./debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|debian/(changelog|copyright(|_hints|_newhints))$
 
-DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=1 prefix=/usr
+# according to upstream INSTALL.txt this avoids potential clash with Qt3
+export QTDIR=/usr/share/qt4
+
+DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=0 prefix=/usr
 DEB_SCONS_OPTIONS += optflags="$(CXXFLAGS)"
 
 DEB_SCONS_INSTALL_OPTIONS = DESTDIR=$(DEB_DESTDIR)
 
 DEB_INSTALL_MANPAGES_hydrogen = debian/hydrogen.1
 DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools
+
+# Put aside upstream-shipped autogenerated files during build
+upstreamtmpfiles = $(wildcard data/doc/*.html data/doc/*.docbook)
+upstreamtmpfiles_ = $(patsubst %.upstream,%,$(wildcard data/doc/*.html.upstream data/doc/*.docbook.upstream))
+pre-build:: debian/stamp-upstreamtmpstuff
+debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
+	for file in $(upstreamtmpfiles); do \
+		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
+	done
+	touch $@
+clean::
+	for file in $(upstreamtmpfiles_); do \
+		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
+	done
+	rm -f debian/stamp-upstreamtmpstuff
+
+common-build-indep:: debian/docs.stamp
+debian/docs.stamp:
+	$(MAKE) -C data/doc
+	touch $@
+clean::
+	rm -f debian/docs.stamp
 
 imgstub = data/img/gray/h2-icon
 common-build-arch::
@@ -56,9 +81,10 @@
 	rm -rf scons_cache
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libtinyxml-dev
+CDBS_BUILD_DEPENDS += , libqt4-dev, libz-dev, pkg-config, libarchive-dev
+CDBS_BUILD_DEPENDS += , docbook-utils, poxml, xmlto, libxml2-utils
 CDBS_BUILD_DEPENDS += , libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev
+CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev (>= 1.0.18), portaudio19-dev, libportmidi-dev
 
 # Needed for our packaging
 # TODO: build-depend on help2man when solved using it with normal builds
